CREATE TABLE &LIBREF..BOND_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Instrument Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     BOND_INSTRUMENT_TYPE_CD VARCHAR(10) label='Bond Instrument Type Code',
     REDEMPTION_PRICE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Redemption Price Amount',
     REDEMPTION_CURRENCY_CD VARCHAR(3) label='Redemption Currency Code',
     SPECIALIZED_LENDING_CD VARCHAR(3) label='Specialized Lending Code',
     CALL_PROTECTION_DT   DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Call Protection Date',
     CONVERTIBLE_FLG      CHARACTER(1) label='Convertible Flag',
     PRINCIPAL_EXCHANGE_FLG CHARACTER(1) label='Principal Exchange Flag',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);

