CREATE TABLE &LIBREF..COUNTERPARTY (
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Counterparty Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     COUNTERPARTY_ID      VARCHAR(32) label='Counterparty Identifier',
     SOURCE_SYSTEM_CD     VARCHAR(3) label='Source System Code',
     COUNTERPARTY_ROLE_CD VARCHAR(3) label='Counterparty Role Code',
     COUNTERPARTY_GROUP_ID VARCHAR(32) label='Counterparty Group Identifier',
     COUNTERPARTY_GROUP_PARENT_FLG CHARACTER(1) label='Counterparty Group Parent Flag',
     COUNTERPARTY_TYPE_CD VARCHAR(3) label='Counterparty Type Code',
     REGLTRY_COUNTERPARTY_TYPE_CD VARCHAR(3) NOT NULL label='Regulatory Counterparty Type Code',
     ECONOMIC_SECTOR_CD   VARCHAR(3) label='Economic Sector Code',
     HIGH_RISK_CATEGORY_FLG CHARACTER(1) label='High Risk Category Flag',
     COUNTERPARTY_LEGAL_TYPE_CD VARCHAR(3) label='Counterparty Legal Type Code',
     CORE_MKT_PARTICIPANT_FLG CHARACTER(1) label='Core Market Participant Flag',
     RISK_WEIGHT_PCT      NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Risk Weight Percent',
     COUNTERPARTY_RLN_TYPE_CD VARCHAR(3) label='Counterparty Relationship Type Code',
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Date time',
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Date time',
     DOMESTIC_CURRENCY_CD VARCHAR(3) label='Domestic Currency Code',
     ELIG_CCR_CENTRAL_CPTY_FLG CHARACTER(1) label='Eligible Credit Central Counterparty Flag',
     SOLVENCY_RATIO_PCT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Solvency Ratio Percentage',
     MIN_CAPITAL_REQ_FLG  CHARACTER(1) label='Minimum Capital Required Flag',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CPTY_INTERNAL_RPT_CATEGORY_CD VARCHAR(3) label='Internal Reporting Category Code',
     CONSTRAINT PRIM_KEY PRIMARY KEY (COUNTERPARTY_RK, VALID_FROM_DTTM)
);

