CREATE TABLE &LIBREF..FINANCIAL_ACCOUNT (
     ACCOUNT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Account Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     ACCOUNT_ID           VARCHAR(32) NOT NULL label='Account Identifier',
     SOURCE_SYSTEM_CD     VARCHAR(3) label='Source System Code',
     ACCOUNT_REGISTRATION_NM VARCHAR(100) label='Account Registration Name',
     ALTERNATE_ACCOUNT_NM VARCHAR(40) label='Alternate Account Name',
     FINANCIAL_ACCOUNT_TYPE_CD VARCHAR(3) NOT NULL label='Financial Account Type Code',
     ACCOUNT_REGISTRATION_TYPE_CD VARCHAR(3) label='Account Registration Type Code',
     ACCOUNT_STATUS_CD    VARCHAR(3) label='Account Status Code',
     OPEN_DT              DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Open Date',
     CLOSE_DT             DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Close Date',
     CLOSE_REASON_CD      VARCHAR(3) label='Close Reason Code',
     ACCOUNT_TAX_ID       VARCHAR(32) label='Account Tax Identifier',
     EXPECTED_LOSS_PCT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Expected Loss Percent',
     INDIVIDUAL_ORGANIZATION_CD VARCHAR(3) label='Individual Organization Code',
     SOURCE_CD            VARCHAR(5) label='Source Code',
     OPENING_CHANNEL_CD   VARCHAR(3) label='Opening Channel Code',
     PREFERRED_CHANNEL_CD VARCHAR(3) label='Preferred Channel Code',
     CURRENCY_CD          VARCHAR(3) label='Currency Code',
     PRIMARY_PHONE_NO     VARCHAR(20) label='Primary Phone Number',
     PRIMARY_PHONE_TYPE_CD VARCHAR(3) label='Primary Phone Type Code',
     SECONDARY_PHONE_NO   VARCHAR(20) label='Secondary Phone Number',
     SECONDARY_PHONE_TYPE_CD VARCHAR(3) label='Secondary Phone Type Code',
     MAILABLE_FLG         CHARACTER(1) label='Mailable Flag',
     TELEPHONABLE_FLG     CHARACTER(1) label='Telephonable Flag',
     EMAIL_FLG            CHARACTER(1) label='Email Flag',
     SMS_FLG              CHARACTER(1) label='SMS Flag',
     DO_NOT_CONTACT_FLG   CHARACTER(1) label='Do Not Contact Flag',
     EMPLOYEE_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Employee Retained Surrogate Key',
     CURRENCY_BASED_ACCOUNT_FLG CHARACTER(1) label='Currency Based Account Flag',
     FEE_BASED_FLG        CHARACTER(1) label='Fee Based Flag',
     ANNUAL_FEES_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Annual Fees Amount',
     MONTHLY_FEES_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Monthly Fees Amount',
     CAMPAIGN_CD          VARCHAR(30) label='Campaign Code',
     COMMUNICATION_CD     VARCHAR(30) label='Communication Code',
     REGISTERED_ONLINE_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Registered Online Date',
     FIRST_LOGIN_DT       DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='First Login Date',
     ONLINE_BILL_PAYMENT_FLG CHARACTER(1) label='Online Bill Payment Flag',
     ID_VERIFICATION_TYPE_CD VARCHAR(3) label='ID Verification Type Code',
     PREVIOUS_ACCOUNT_ID  VARCHAR(32) label='Previous Account Identifier',
     FUTURE_MARGIN_INCOME_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Future Margin Income Amount',
     IN_DEFAULT_FLG       CHARACTER(1) label='In Default Flag',
     IRRECOVERABLE_FLG    CHARACTER(1) label='Irrecoverable Flag',
     PREVIOUS_BANK_EXTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='External Organization Retained Surrogate Key',
     NETTING_SET_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Netting Set Key',
     REVOLVING_FLG        CHARACTER(1) label='Revolving Flag',
     SOURCE_CHANNEL_CD    VARCHAR(3) label='Source Channel Code',
     GRACE_PERIOD_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Grace Period Days Count',
     REMARGINING_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Remargining Days Count',
     FINANCIAL_CALENDAR_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Calendar Key',
     DAY_BASIS_CD         VARCHAR(10) label='Day Basis Code',
     PORTFOLIO_ID         VARCHAR(32) label='Portfolio Identifier',
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Securitization Pool Key',
     ACCOUNT_USAGE_TYPE_CD VARCHAR(3) label='Account Usage Type Code',
     RISK_ALARM_FLG       CHARACTER(1) label='Risk Alarm Flag',
     LOW_PROFITABILITY_FLG CHARACTER(1) label='Low Profitability Flag',
     ACCOUNT_LIFECYCLE_STG_CD VARCHAR(3) label='Account Lifecycle Stage Code',
     ATTRITION_ALARM_FLG  CHARACTER(1) label='Attrition Alarm Flag',
     BALANCE_FROZEN_FLG   CHARACTER(1) label='Balance Frozen Flag',
     BALANCE_FROZEN_DT    DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Balance Frozen Date',
     ACCOUNT_BLOCK_REASON_CD VARCHAR(3) label='Account Block Reason Code',
     TAXATION_STATE_CD    VARCHAR(4) label='Taxation State Code',
     EFFECTIVE_MATURITY_YEAR_NO NUMERIC(7,3) FORMAT=NLNUM7.3 INFORMAT=NLNUM7.3 label='Effective Maturity Year Number',
     GL_ACCOUNT_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='General Ledger Key',
     FROM_OTHER_INSTITUTION_FLG CHARACTER(1) label='From Other Institution Flag',
     ACCOUNT_RENEWAL_CNT  NUMERIC(6) FORMAT=6. INFORMAT=6. label='Account Renewal Count',
     BALANCE_TRANSFER_DT  DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Balance Transfer Date',
     BALANCE_TRANSFER_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Balance Transfer Amount',
     BALANCE_TRANSFER_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Balance Transfer Count',
     BASE_LONG_TERM_APR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Base Long Term Annual Percentage Rate',
     BROKER_FLG           CHARACTER(1) label='Broker Flag',
     MULT_RATE_FLG        CHARACTER(1) label='Multi Rate Flag',
     AUTO_DEBIT_ACCOUNT_NO VARCHAR(32) label='Auto Debit Account Number',
     WORST_STATUS_LAST_12_MTH_CD VARCHAR(3) label='Worst Status Last 12 Month Code',
     WORST_STATUS_LAST_12_MTH_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Worst Status Last 12 Month Date',
     BALANCE_TRNSF_OTHER_ACCT_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Balance Transfer Other Account Count',
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Date time',
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Date time',
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Counterparty Key',
     INSURED_BY_COUNTERPARTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Counterparty Key',
     STATEMENT_FREQUENCY_CD VARCHAR(3) label='Statement Frequency Code',
     SECURITY_DEPOSIT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Security Deposit Amount',
     SECURITY_DEPOSIT_REFUND_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Security Deposit Refund Amount',
     FIRST_PAYMENT_DT     DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='First Payment Date',
     LAST_PAYMENT_DT      DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Last Payment Date',
     FIRST_RESET_DT       DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='First Reset Date',
     LAST_RESET_DT        DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Last Reset Date',
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR(3) label='Principal Payment Type Code',
     PRINCIPAL_PAYMENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Principal Payment Amount',
     RATE_POLICY_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Policy Key',
     CAPITAL_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Capital Allocation Key',
     SPREAD_RT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Spread Rate',
     DISCOUNT_SPREAD_RT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Discount Spread Rate',
     INITIAL_CONTRACT_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Initial Contract Rate',
     FIXED_MONTHLY_PREPAYMENT_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Fixed Monthly Prepayment Rate',
     FINANCIAL_FUND_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Fund Key',
     CAPITAL_COST_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Capital Cost Key',
     QUANTO_FEATURE_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Quanto Feature Key',
     SEGMENT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Segment Key',
     ANNUITY_PAYMENT_TYPE_CD VARCHAR(3) label='Annuity Payment Type Code',
     ARREARS_PAYMENT_CD   VARCHAR(3) label='Arrears Payment Code',
     AUTO_DEBIT_ACCOUNT_TYPE_CD VARCHAR(3) label='Auto Debit Account Type Code',
     CASH_INTENSIVE_BUSINESS_FLG CHARACTER(1) label='Cash Intensive Business Flag',
     CONVEXITY_ADJUSTMENT_FLG CHARACTER(1) label='Convexity Adjustment Flag',
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR(3) label='Time Frequency Code',
     INTEREST_PAYMENT_TYPE_CD VARCHAR(3) label='Interest Payment Type Code',
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3) label='Internal Reporting Category Code',
     LETTER_OF_CREDIT_ONFILE_FLG CHARACTER(1) label='Letter of Credit on File Flag',
     RESETS_PER_ANNUM_NO  NUMERIC(5) FORMAT=5. INFORMAT=5. label='Resets Per Annum No',
     STATEMENT_OPT_FLG    CHARACTER(1) label='Statement Opt Flag',
     TRADE_FINANCE_FLG    CHARACTER(1) label='Trade Finance Flag',
     VALUE_SCALING_FACTOR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Value Scaling Factor Rate',
     PREPMT_PSA_SPEED_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Prepayment Model PSA Speed Rate',
     OWNED_BY_INTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Internal Organization Key',
     CREDIT_FACILITY_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Credit Facility Key',
     EXPENSE_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Expense Allocation Key',
     FIRST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='First Interest Payment Date',
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR(3) label='Holiday Date Roll Conv Code',
     LAST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Last Interest Payment Date',
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label='Liquidity Category Type Code',
     RECEIVABLES_POOL_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Receivables Pool Key',
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR(3) label='Weekend Date Roll Conv Code',
     CIC_CD               VARCHAR(4) label='Complementary Identification Code',
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR(3) label='Unwind Trigger Of Contract',
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Maximum Loss Under Unwinding Event',
     PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label='Payment Day of Month Number',
     INT_PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label='Interest Payment Day of Month Number',
     RESET_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label='Reset Day of Month Number',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (ACCOUNT_RK, VALID_FROM_DTTM)
);

