CREATE TABLE &LIBREF..REINSURANCE_CONTRACT (
     RI_CONTRACT_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Contract Retained Surrogate Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     CEDENTS_CONTRACT_ID  VARCHAR(32) NOT NULL label='Cedents Contract Identifier',
     RI_CONTRACT_TYPE_CD  VARCHAR(3) label='Reinsurance Contract Type Code',
     APPLICATION_SEQUENCE_NO NUMERIC(6) FORMAT=6. INFORMAT=6. label='Application Sequence Number',
     RI_CONTRACT_EFFECTIVE_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Reinsurance Contract Effective Date',
     RI_CONTRACT_EXPIRATION_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Reinsurance Contract Expiration Date',
     TREATY_FACULTATIVE_IND CHARACTER(1) label='Treaty Facultative Indicator',
     NON_TRAD_FIN_RI_FLG  CHARACTER(1) label='Non Traditional Finite Reinsurance Flag',
     NON_PROPORTIONAL_RI_FLG CHARACTER(1) label='Non Proportional Reinsurance Flag',
     RI_PAY_MODE_CD       VARCHAR(3) label='Reinsurance Payment Mode Code',
     RI_CONTRACT_STATUS_CD VARCHAR(3) label='Reinsurance Contract Status Code',
     RI_CONTRACT_STATUS_CHANGE_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Reinsurance Contract Status Change Date',
     RESERVE_METHOD_CD    VARCHAR(3) label='Reserve Method Code',
     OFF_SET_ALLOWED_IND  CHARACTER(1) label='Off Set Allowed Indicator',
     MAX_EXP_REFUND_PREM_LIMIT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Maximum Experience Refund Premium Limit Amount',
     MAX_EXP_REFUND_CLAIM_LIMIT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Maximum Experience Refund Claim Limit Amount',
     JUMBO_LIMIT_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Jumbo Limit Amount',
     EXPERIENCE_REFUND_IND CHARACTER(1) label='Experience Refund Indicator',
     LIFE_RI_METHOD_CD    VARCHAR(3) label='Reinsurance Purchase Method Code',
     RI_PROGRAM_RK        NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Program Retained Surrogate Key',
     INTERNAL_ORG_RK      NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Internal Organization Key',
     PRIMARY_INTERMEDIARY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Intermediary Retained Surrogate Key',
     RI_CONTRACT_CURRENCY_CD VARCHAR(3) label='Reinsurance Contract Currency Code',
     SETTLEMENT_CURRENCY_CD VARCHAR(3) label='Settlement Currency Code',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (RI_CONTRACT_RK, VALID_FROM_DTTM)
);

